GNU bug report logs - #21605
24.3; Eshell not using stderr

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nikolas De Giorgis <bznein@HIDDEN>; dated Fri, 2 Oct 2015 14:45:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21605 <at> debbugs.gnu.org:


Received: (at 21605) by debbugs.gnu.org; 13 May 2022 12:38:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 08:38:36 2022
Received: from localhost ([127.0.0.1]:43120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npUZ2-00070z-8R
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 08:38:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1npUYx-00070f-Ny
 for 21605 <at> debbugs.gnu.org; Fri, 13 May 2022 08:38:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=k2GrM1PO5XpB+yVqEX2L34rCuQsLuddj0EtWXxOwXm4=; b=nui0lOsHebm4ZDxEFcsTN/O8iN
 9JyYt05n0rRfla+HxJxbd16xIeocN8lxp3hbrdEdO2bulwURZsmDCCLJ0GFDgIi7rEd248m+ctQHq
 E1WcUz+//bHdbSK1GceBTWJtvMXH7yJ36IX7ARrePyxuZbJC/nNp7rYXB1yH6OWKSgCs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1npUYp-0000a4-JH; Fri, 13 May 2022 14:38:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#21605: 24.3; Eshell not using stderr
References: <CAJfe39WYEVjGD+UO6Fd1r2MRJPJ93bmqHrkb+qrvA6uUsVDLoQ@HIDDEN>
 <877d6rym1e.fsf@HIDDEN>
 <9b1d2162-2fa6-16fb-6fd0-50a45b0b88e5@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEULCgomIiNMPECM
 dYCqscBedJT////hIySvAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YFDQwgEy5jmYoAAAGxSURBVDjL
 nZRBkqMwDEUl5wKSXbO3TbEndnKBhpyA+P5XmS8D3RnSvehRJUT5T5aFkCEiFnzJTOiw7b+n7Lqm
 28fViBgojgLzFs4W6krpUXKhoHuefnFT2dxAPpmjtiRLX8HESoMAQBCUwTGRqxNAmCVEzVSLpXGc
 IlZMivAQs4ESBKkcPO/K1SsFJJq8p3KJABeJqL1cHdFQJF+9M8AsDiD4VAwMMU2ekSqiJheJPRzc
 8BCSXHFbBpQgMufej6FytPspQ29KtNI6cMmJgcEuLImOdtqGw9FPA+5osKgojFnVa8qsUCBRgz2X
 f+xhWgfL8k6orXX5Hrxlgv0IHr8Gy4/g8Wvw31U93zM1ugOgWfNJb1Q0o123ExgbJc3qc+12W+a6
 3Oacvc+U/JB9bm291VaRd61pOyZQxxHK87GlWevccsaIqoG1fdl6byOibZZyGiF8/Fl0BxkGwJqx
 xz364vrTNh3HzybEItLhYAPMOndwKF3djWR3fNIXWfr86cnEzl8fxhcxeUujSm9EeV91In5Hn++O
 PtksGOltxk9vlVeTr59jx01KSXfIW/G2GHX9BbXsoaaGNqIXAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIyLTA1LTEzVDEyOjMyOjE5KzAwOjAwi176NQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNS0x
 M1QxMjozMjoxOSswMDowMPoDQokAAAAASUVORK5CYII=
X-Now-Playing: Band Apart's _Marseille_: "Marseille"
Date: Fri, 13 May 2022 14:38:23 +0200
In-Reply-To: <9b1d2162-2fa6-16fb-6fd0-50a45b0b88e5@HIDDEN> (Jim Porter's
 message of "Thu, 12 May 2022 19:14:46 -0700")
Message-ID: <87r14xvc8w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > I think this
 is just a missing feature,
 partly due to the fact that > the redirection operators
 don't let you redirect a specific fd. That's > in the "Bugs and Ideas" section
 of the Eshell manual th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21605
Cc: 21605 <at> debbugs.gnu.org, Nikolas De Giorgis <bznein@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> I think this is just a missing feature, partly due to the fact that
> the redirection operators don't let you redirect a specific fd. That's
> in the "Bugs and Ideas" section of the Eshell manual though:
>
>   Support =E2=80=982>&1=E2=80=99 and =E2=80=98>&=E2=80=99 and =E2=80=982>=
=E2=80=99 and =E2=80=98|&=E2=80=99
>
>     The syntax table for parsing these should be customizable, such that
>     the user could change it to use rc syntax: =E2=80=98>[2=3D1]=E2=80=99.
>
> Doing that is probably the hardest part. The other bit that would need
> to be fixed is (I think) to modify `eshell-gather-process-output' to
> use `make-process' instead of `start-file-process', and then give it a
> :stderr argument so that Emacs doesn't write both stdout and stderr to
> a single temp buffer.

I see; thanks.

> I agree that this would definitely be nice to have though.

Yup.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21605; Package emacs. Full text available.

Message received at 21605 <at> debbugs.gnu.org:


Received: (at 21605) by debbugs.gnu.org; 13 May 2022 02:14:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 22:14:55 2022
Received: from localhost ([127.0.0.1]:42630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npKpT-00031G-2Q
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 22:14:55 -0400
Received: from mail-pl1-f172.google.com ([209.85.214.172]:34776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1npKpR-000313-U7
 for 21605 <at> debbugs.gnu.org; Thu, 12 May 2022 22:14:54 -0400
Received: by mail-pl1-f172.google.com with SMTP id n8so6641710plh.1
 for <21605 <at> debbugs.gnu.org>; Thu, 12 May 2022 19:14:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=6ZixfiMBV2kJ5T0f5wcLLlZtdv32KYOz6va3ZHbb9/Q=;
 b=nhcNZi/VsjDNLJgoRQJHU9sKQE/irSgbMDY137piGvmiErHyoJjb65syawZlPx4CHG
 zYlVHh0pW7c0nJ34u4w8CErvV3cCvyx8ZUIbeS4HK3pcJIHs90M5GCb6KiFSpLUctP61
 wPcl98gQBi5tIAo6VtOqLOtplK4colGND1spQGakl/BDuQAv9/aOrSxKLTK1lJWwh3XY
 1wiHSgglsCrrXVB2X/DblF+3JiY/DvaJrnyYUWyqFYjgWaYTCOmN4DYNu6PKo6gqX4ZK
 BrahNWIMCKEz1x1vm9K8FVtPivdvRNLJZ/nnTNLHAl84gg7g/m9IJw9jXgRbDbso+Rxc
 nasg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=6ZixfiMBV2kJ5T0f5wcLLlZtdv32KYOz6va3ZHbb9/Q=;
 b=eRk/8iOthFzvp7HSQl8RKB3n3Hj0b6EKlAdhMy1NR+3727fsh/AnZsICAQfUHmIr3x
 omDoObHWoGmS/ulKs1DNASN299m1bkPCAB0Zx+rOIG1lr7atdjhPdNU2+0U9mjoTaT/R
 UnfU498YfkE7LE96ykRG3ptYVDPFSAZSeI1mL/m/aspJOEzs7u7E0qYHb/n6dq9/pRDU
 iPlbae+Fz+MLHqPKdAVrxNMgMhqcJLqBowp3JrLBA0Y0p0bt+Lkkm2CRYwkR1KQuIikr
 ECWdJ+bNdpPkDTaTOaCxELoFJIrFgTw0bhpfx1KRMVFNN3GTspu+F7JiitGsJL6AhjwX
 aQEA==
X-Gm-Message-State: AOAM530mQp7MPx98VQrpWr5E63uH219eKizbKOlFIV4r/iD/Mbc9awge
 h8Xu/a+4MGWD2z64FhT4l1KRRqY9ios=
X-Google-Smtp-Source: ABdhPJwYFPJTucovFut9TKzOqYkQV3RQvsqQeUFVOR9MmJh6lHlBsWviu+hps9uncV0hBIe/+A3Reg==
X-Received: by 2002:a17:90b:3b47:b0:1dc:3b29:a9d8 with SMTP id
 ot7-20020a17090b3b4700b001dc3b29a9d8mr13738451pjb.72.1652408087850; 
 Thu, 12 May 2022 19:14:47 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 s7-20020a170902ea0700b0015edfccfdb5sm585942plg.50.2022.05.12.19.14.46
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 12 May 2022 19:14:47 -0700 (PDT)
Subject: Re: bug#21605: 24.3; Eshell not using stderr
To: Lars Ingebrigtsen <larsi@HIDDEN>, Nikolas De Giorgis <bznein@HIDDEN>
References: <CAJfe39WYEVjGD+UO6Fd1r2MRJPJ93bmqHrkb+qrvA6uUsVDLoQ@HIDDEN>
 <877d6rym1e.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <9b1d2162-2fa6-16fb-6fd0-50a45b0b88e5@HIDDEN>
Date: Thu, 12 May 2022 19:14:46 -0700
MIME-Version: 1.0
In-Reply-To: <877d6rym1e.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 21605
Cc: 21605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/12/2022 5:26 AM, Lars Ingebrigtsen wrote:
> This seems to be the case in Emacs 29, too, but I'm not sure whether
> this is by design or not.  I've added Jim to the CCs; perhaps he has
> some input here.

I think this is just a missing feature, partly due to the fact that the 
redirection operators don't let you redirect a specific fd. That's in 
the "Bugs and Ideas" section of the Eshell manual though:

   Support ‘2>&1’ and ‘>&’ and ‘2>’ and ‘|&’

     The syntax table for parsing these should be customizable, such that
     the user could change it to use rc syntax: ‘>[2=1]’.

Doing that is probably the hardest part. The other bit that would need 
to be fixed is (I think) to modify `eshell-gather-process-output' to use 
`make-process' instead of `start-file-process', and then give it a 
:stderr argument so that Emacs doesn't write both stdout and stderr to a 
single temp buffer.

I agree that this would definitely be nice to have though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21605; Package emacs. Full text available.

Message received at 21605 <at> debbugs.gnu.org:


Received: (at 21605) by debbugs.gnu.org; 12 May 2022 12:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 08:26:32 2022
Received: from localhost ([127.0.0.1]:39924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np7to-0002Go-Bd
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 08:26:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1np7tm-0002Ga-Km
 for 21605 <at> debbugs.gnu.org; Thu, 12 May 2022 08:26:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HeiwXjPJGY+TyN+EO3yC622R3qzm4lFWrUScviX++ns=; b=t9/dBtf022riz8vQb35JDFH5rQ
 UCG1/bykYkfZv8nKLABVqkX7d0y4Pam2XsuMHoRiuai5CDV9vV4sR9iR3oQOY6h9P4pLdp3T/X3/9
 T4VbifZxf68WZzOXHvSg16h0imknAsV92vIcpLOYLQaXk9vkXY3gemuq42n7EuGjaFys=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1np7te-0004Yi-C2; Thu, 12 May 2022 14:26:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nikolas De Giorgis <bznein@HIDDEN>
Subject: Re: bug#21605: 24.3; Eshell not using stderr
References: <CAJfe39WYEVjGD+UO6Fd1r2MRJPJ93bmqHrkb+qrvA6uUsVDLoQ@HIDDEN>
X-Now-Playing: Front 242's _Geography_: "Kinetics"
Date: Thu, 12 May 2022 14:26:21 +0200
In-Reply-To: <CAJfe39WYEVjGD+UO6Fd1r2MRJPJ93bmqHrkb+qrvA6uUsVDLoQ@HIDDEN>
 (Nikolas De Giorgis's message of "Fri, 02 Oct 2015 12:23:58 +0000")
Message-ID: <877d6rym1e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Nikolas De Giorgis <bznein@HIDDEN> writes: > Starting from
 emacs -Q > go into eshell (M-x eshell) > executing the following c++ program:
 > #include <iostream> > int main() > { > std::cerr << "ERROR\n"; > std::cout
 << "OUTPUT\n"; > } > provides [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21605
Cc: 21605 <at> debbugs.gnu.org, Jim Porter <jporterbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Nikolas De Giorgis <bznein@HIDDEN> writes:

> Starting from emacs -Q
> go into eshell (M-x eshell)
> executing the following c++ program: 
> #include <iostream>
> int main()
> {
>    std::cerr << "ERROR\n";
>    std::cout << "OUTPUT\n";
> }
> provides the following output:
> ~ $ ./a.out 2> /dev/null
> ERROR
> OUTPUT
> From which it seems that eshell ignores stderr and sends everything to stdout

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This seems to be the case in Emacs 29, too, but I'm not sure whether
this is by design or not.  I've added Jim to the CCs; perhaps he has
some input here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Oct 2015 14:44:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 02 10:44:24 2015
Received: from localhost ([127.0.0.1]:52279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zi1ZN-000868-UD
	for submit <at> debbugs.gnu.org; Fri, 02 Oct 2015 10:44:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44407)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bznein@HIDDEN>) id 1ZhzNu-0004lO-Ah
 for submit <at> debbugs.gnu.org; Fri, 02 Oct 2015 08:24:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bznein@HIDDEN>) id 1ZhzNq-00076X-O0
 for submit <at> debbugs.gnu.org; Fri, 02 Oct 2015 08:24:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:54399)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bznein@HIDDEN>) id 1ZhzNq-00076T-KV
 for submit <at> debbugs.gnu.org; Fri, 02 Oct 2015 08:24:18 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54362)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bznein@HIDDEN>) id 1ZhzNn-0003PP-0s
 for bug-gnu-emacs@HIDDEN; Fri, 02 Oct 2015 08:24:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bznein@HIDDEN>) id 1ZhzNj-000752-Km
 for bug-gnu-emacs@HIDDEN; Fri, 02 Oct 2015 08:24:15 -0400
Received: from mail-wi0-x235.google.com ([2a00:1450:400c:c05::235]:32944)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bznein@HIDDEN>) id 1ZhzNj-00074u-6V
 for bug-gnu-emacs@HIDDEN; Fri, 02 Oct 2015 08:24:11 -0400
Received: by wiclk2 with SMTP id lk2so31430480wic.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 02 Oct 2015 05:24:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=sF0f84z5ehgzhAJqOR4StVVmlkYz6hURHy0OLOGgVmo=;
 b=ESlDAwNUPOBelXez7o4ScmImj17l3HRgcUT5nDRsTSHxEiRGKmpQCdCyN/06GybgpX
 cJCC4tFtcYlTg3oKegWonxXTcnnaDAOUGSX2VFptK7mBCLAnlGUkPnhay7Lej35W0DD9
 neUzhZXIYIkzTGPPcyxQWMmg0c9hswreNxUeUcRUk097IVOO7XV3nqYCpOfoUTdz8ncA
 5vTyhVn+U3p6NqQsvYgN366a85jbN3TU51UQqc3Ccbis+uqZsdZGJSYPeBZX8EtQx8v4
 M+r8X8zUWFDHXfv7vFe6/pPOElIsrsmyst4dBqcwXnpRZIUXaqj4rueEkTsfEUVmTcOW
 vUwA==
X-Received: by 10.180.10.170 with SMTP id j10mr4343577wib.77.1443788649222;
 Fri, 02 Oct 2015 05:24:09 -0700 (PDT)
MIME-Version: 1.0
From: Nikolas De Giorgis <bznein@HIDDEN>
Date: Fri, 02 Oct 2015 12:23:58 +0000
Message-ID: <CAJfe39WYEVjGD+UO6Fd1r2MRJPJ93bmqHrkb+qrvA6uUsVDLoQ@HIDDEN>
Subject: 24.3; Eshell not using stderr
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c2660a9157b705211e3d6e
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 02 Oct 2015 10:44:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c2660a9157b705211e3d6e
Content-Type: text/plain; charset=UTF-8

This bug report will be sent to the Bug-GNU-Emacs mailing list

and the GNU bug tracker at debbugs.gnu.org. Please check that

the From: line contains a valid email address. After a delay of up

to one day, you should receive an acknowledgment at that address.


Please write in English if possible, as the Emacs maintainers

usually do not have translators for other languages.


Please describe exactly what actions triggered the bug, and

the precise symptoms of the bug. If you can, give a recipe

starting from `emacs -Q':


Starting from emacs -Q

go into eshell (M-x eshell)

executing the following c++ program:


#include <iostream>


int main()

{

   std::cerr << "ERROR\n";

   std::cout << "OUTPUT\n";


}


provides the following output:


~ $ ./a.out 2> /dev/null

ERROR

OUTPUT


From which it seems that eshell ignores stderr and sends everything to
stdout



If Emacs crashed, and you have the Emacs process in the gdb debugger,

please include the output from the following gdb commands:

`bt full' and `xbacktrace'.

For information about debugging Emacs, please read the file

/usr/share/emacs/24.3/etc/DEBUG.



In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)

of 2014-03-07 on lamiak, modified by Debian

Windowing system distributor `The X.Org Foundation', version 11.0.11600000

System Description: Ubuntu 14.04.3 LTS


Configured using:

`configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'

'--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'

'--localstatedir=/var/lib' '--infodir=/usr/share/info'

'--mandir=/usr/share/man' '--with-pop=yes'

'--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'

'--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'

'--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'

'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector

--param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'

'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'

'CPPFLAGS=-D_FORTIFY_SOURCE=2''


Important settings:

value of $LC_MONETARY: it_IT.UTF-8

value of $LC_NUMERIC: it_IT.UTF-8

value of $LC_TIME: it_IT.UTF-8

value of $LANG: en_US.UTF-8

locale-coding-system: utf-8-unix

default enable-multibyte-characters: t


Major mode: EShell


Minor modes in effect:

shell-dirtrack-mode: t

keyfreq-autosave-mode: t

keyfreq-mode: t

global-undo-tree-mode: t

undo-tree-mode: t

electric-pair-mode: t

ido-everywhere: t

show-paren-mode: t

yas-global-mode: t

yas-minor-mode: t

ecb-minor-mode: t

TeX-PDF-mode: t

TeX-source-correlate-mode: t

global-linum-mode: t

display-time-mode: t

recentf-mode: t

winner-mode: t

tooltip-mode: t

mouse-wheel-mode: t

file-name-shadow-mode: t

global-font-lock-mode: t

font-lock-mode: t

blink-cursor-mode: t

auto-composition-mode: t

auto-encryption-mode: t

auto-compression-mode: t

temp-buffer-resize-mode: t

line-number-mode: t

transient-mark-mode: t


Recent input:

n d SPC <backspace> <backspace> SPC d a s h <return>

<help-echo> <help-echo> <down-mouse-1> <mouse-movement>

<drag-mouse-1> <help-echo> <help-echo> <down-mouse-1>

<mouse-movement> <drag-mouse-1> <down-mouse-1> <mouse-1>

<down-mouse-1> <mouse-1> C-x b <return> <help-echo>

<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-movement>

<mouse-movement> <drag-mouse-1> <help-echo> <down-mouse-3>

<drag-mouse-3> <down-mouse-1> <mouse-movement> <mouse-movement>

<drag-mouse-1> <down-mouse-1> <mouse-movement> <mouse-movement>

<mouse-movement> <mouse-movement> <help-echo> <mouse-movement>

<drag-mouse-1> <help-echo> <help-echo> <help-echo>

<help-echo> <help-echo> <down-mouse-1> <mouse-1> s

h <return> . / a <tab> <backspace> <backspace> <backspace>

<C-up> <C-up> <C-up> <C-up> <return> C-c C-d b a s

h <return> <C-up> <C-up> <C-up> <C-up> <C-up> <return>

C-c C-d <help-echo> <down-mouse-1> <mouse-movement>

<drag-mouse-1> <f11> <help-echo> <help-echo> <down-mouse-4>

<mouse-4> <double-down-mouse-4> <double-mouse-4> <triple-down-mouse-4>

<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>

<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>

<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>

<triple-down-mouse-5> <triple-mouse-5> <down-mouse-1>

<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-5> <mouse-5>

C-c C-c . / a <tab> 2 > SPC / d e b <backspace> v /

n u l l <return> <help-echo> <help-echo> <help-echo>

<down-mouse-1> <mouse-movement> <mouse-movement> <drag-mouse-1>

<down-mouse-1> <mouse-movement> <mouse-1> <down-mouse-1>

<mouse-movement> <mouse-movement> <drag-mouse-1> <help-echo>

<help-echo> <down-mouse-1> <mouse-1> M-x s h e <tab>

<return> l <backspace> . / a <tab> 2 > SPC / d e <tab>

q b / <backspace> <backspace> v ( n <backspace> <backspace>

<delete> / n u <tab> <return> <help-echo> <help-echo>

<help-echo> <down-mouse-1> <mouse-1> M-x t e r m <tab>

<return> <return> . / d e <backspace> <backspace> <backspace>

. <backspace> / a <tab> 2 > SPC / d e v / n u <tab>

<return> <help-echo> <help-echo> <down-mouse-1> <mouse-1>

<help-echo> <help-echo> <down-mouse-1> <mouse-movement>

<mouse-1> <down-mouse-1> <mouse-1> C-x b <return> <down-mouse-1>

<mouse-1> <help-echo> <help-echo> <down-mouse-1> <mouse-movement>

<mouse-1> <help-echo> <help-echo> M-x e s h <tab> <return>

<help-echo> <down-mouse-1> <mouse-1> C-x b <right>

<right> <right> <right> <return> <help-echo> <help-echo>

<help-echo> <help-echo> <help-echo> <down-mouse-1>

<mouse-movement> <mouse-1> C-c C-c l s <return> <down-mouse-1>

<mouse-1> <help-echo> <help-echo> <help-echo> <help-echo>

<down-mouse-1> <mouse-1> M-x r e p o <tab> <tab> r

t <tab> <return>


Recent messages:

History item: 125

History item: 128

History item: 127

History item: 126

History item: 125

History item: 124

Mark set

Making completion list...

You can run the command `eshell' with C-c . e

Making completion list...


Load-path shadows:

~/.emacs.d/helm/helm-info hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-info

~/.emacs.d/helm/helm-grep hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-grep

~/.emacs.d/helm/helm-net hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-net

~/.emacs.d/helm/helm-sys hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-sys

~/.emacs.d/helm/helm-man hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-man

~/.emacs.d/helm/helm-locate hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-locate

~/.emacs.d/helm/helm-adaptive hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-adaptive

~/.emacs.d/helm/helm-eval hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-eval

~/.emacs.d/helm/helm-elscreen hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-elscreen

~/.emacs.d/helm/helm-buffers hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-buffers

~/.emacs.d/helm/helm-source hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-source

~/.emacs.d/helm/helm-autoloads hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-autoloads

~/.emacs.d/helm/helm-files hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-files

~/.emacs.d/helm/helm-misc hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-misc

~/.emacs.d/helm/helm-regexp hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-regexp

~/.emacs.d/helm/helm hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm

~/.emacs.d/helm/helm-org hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-org

~/.emacs.d/helm/helm-mode hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-mode

~/.emacs.d/helm/helm-eshell hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-eshell

~/.emacs.d/helm/helm-imenu hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-imenu

~/.emacs.d/helm/helm-apt hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-apt

~/.emacs.d/helm/helm-elisp hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-elisp

~/.emacs.d/helm/helm-ring hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-ring

~/.emacs.d/helm/helm-config hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-config

~/.emacs.d/helm/helm-font hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-font

~/.emacs.d/helm/helm-command hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-command

~/.emacs.d/helm/helm-utils hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-utils

~/.emacs.d/helm/helm-semantic hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-semantic

~/.emacs.d/helm/helm-plugin hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-plugin

~/.emacs.d/helm/helm-match-plugin hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-match-plugin

~/.emacs.d/helm/helm-elisp-package hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-elisp-package

~/.emacs.d/helm/helm-help hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-help

~/.emacs.d/helm/helm-tags hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-tags

~/.emacs.d/helm/helm-dabbrev hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-dabbrev

~/.emacs.d/helm/helm-color hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-color

~/.emacs.d/helm/helm-pkg hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-pkg

~/.emacs.d/helm/helm-bookmark hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-bookmark

~/.emacs.d/helm/helm-aliases hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-aliases

~/.emacs.d/helm/helm-external hides
/home/nikolas/.emacs.d/elpa/helm-20150518.202/helm-external

/usr/share/emacs24/site-lisp/cmake-data/cmake-mode hides
/usr/share/emacs/site-lisp/cmake-mode

/usr/share/emacs/24.3/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup

/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/24.3/lisp/language/thai-word

/home/nikolas/.emacs.d/elpa/irony-20150614.1225/.dir-locals hides
/usr/share/emacs/24.3/lisp/gnus/.dir-locals

/usr/share/emacs/24.3/lisp/emacs-lisp/cl-lib hides
/home/nikolas/.emacs.d/elpa/cl-lib-0.5/cl-lib


Features:

(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode

mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader

sendmail rfc2047 rfc2045 ietf-drums mail-utils tabify man tramp-cache

tramp tramp-compat tramp-loaddefs shell format-spec pcmpl-unix find-file

lisp-mnt em-unix pcomplete em-term term disp-table ehelp em-script

em-prompt em-ls em-hist em-pred em-glob em-dirs em-cmpl em-basic

em-banner em-alias esh-var esh-io esh-cmd esh-opt esh-ext esh-proc

esh-arg eldoc esh-groups eshell esh-module esh-mode esh-util misearch

multi-isearch ffap url-parse auth-source gnus-util mm-util mail-prsvr

password-cache url-vars windmove imenu cus-edit cus-start cus-load

irony-cdb-json pp json irony-cdb-clang-complete irony-cdb company-files

company-oddmuse company-keywords company-etags etags company-gtags

company-dabbrev-code company-dabbrev company-capf company-cmake

company-xcode company-clang company-semantic company-eclim

company-template company-css company-nxml company-bbdb company-elisp

company-irony irony-completion irony-snippet irony find-func company

cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align

cc-engine cc-vars cc-defs ecb-layout-defs cyberpunk-theme keyfreq

undo-tree diff electric ido paren popup-complete yasnippet help-mode ecb

warnings ecb-symboldef ecb-analyse ecb-compatibility ecb-winman-support

ecb-autogen autoload ecb-tod ecb-cycle ecb-eshell ecb-help ecb-jde

ecb-method-browser hideshow ecb-semantic-wrapper ecb-semantic

ecb-file-browser ecb-speedbar ecb-layout compile comint ansi-color

ecb-create-layout ecb-compilation ecb-common-browser speedbar sb-image

dframe ecb-navigate ecb-mode-line ecb-face tree-buffer ecb-upgrade

ecb-cedet-wrapper semantic/db-mode semantic/db-find semantic/db-ref

semantic/analyze semantic/sort semantic/scope semantic/analyze/fcn

semantic/db eieio-base semantic/format ezimage semantic/tag-ls

semantic/find semantic/ctxt semantic/util-modes semantic/util semantic

semantic/tag semantic/lex semantic/fw eieio byte-opt bytecomp

byte-compile cconv mode-local cedet ecb-util thingatpt cl-macs gv

silentcomp latex easy-mmode tex-style tex dbus xml crm server face-remap

memory-usage darkroom helm-config async-bytecomp async helm-aliases

uniquify advice help-fns cl cl-lib advice-preload linum

ac-helm-autoloads tex-site auto-complete-autoloads chess-autoloads info

company-c-headers-autoloads company-irony-autoloads company-autoloads

ctags-autoloads ctags-update-autoloads cuda-mode-autoloads

darkroom-autoloads helm-autoloads async-autoloads irony-autoloads

finder-inf keyfreq-autoloads memory-usage-autoloads minimap-autoloads

popup-autoloads cl-lib-autoloads spacemacs-theme-autoloads

undo-tree-autoloads w3-autoloads yasnippet-autoloads package

tango-dark-theme time recentf tree-widget wid-edit easymenu winner ring

edmacro kmacro time-date tooltip ediff-hook vc-hooks lisp-float-type

mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe

tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow

timer select scroll-bar mouse jit-lock font-lock syntax facemenu

font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan

thai tai-viet lao korean japanese hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese case-table epa-hook

jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces

cus-face macroexp files text-properties overlay sha1 md5 base64 format

env code-pages mule custom widget hashtable-print-readable backquote

make-network-process dbusbind dynamic-setting system-font-setting

font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

--001a11c2660a9157b705211e3d6e
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">
<p style=3D"margin:0px">This bug report will be sent to the Bug-GNU-Emacs m=
ailing list</p>
<p style=3D"margin:0px">and the GNU bug tracker at <a href=3D"http://debbug=
s.gnu.org">debbugs.gnu.org</a>.  Please check that</p>
<p style=3D"margin:0px">the From: line contains a valid email address.  Aft=
er a delay of up</p>
<p style=3D"margin:0px">to one day, you should receive an acknowledgment at=
 that address.</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Please write in English if possible, as the Emacs m=
aintainers</p>
<p style=3D"margin:0px">usually do not have translators for other languages=
.</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Please describe exactly what actions triggered the =
bug, and</p>
<p style=3D"margin:0px">the precise symptoms of the bug.  If you can, give =
a recipe</p>
<p style=3D"margin:0px">starting from `emacs -Q&#39;:</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Starting from emacs -Q</p><p style=3D"margin:0px">g=
o into eshell (M-x eshell)</p><p style=3D"margin:0px">executing the followi=
ng c++ program:=C2=A0</p>
<p style=3D"margin:0px"><br></p><p style=3D"margin:0px">#include &lt;iostre=
am&gt;</p><p style=3D"margin:0px"><br></p><p style=3D"margin:0px">int main(=
)</p><p style=3D"margin:0px">{</p><p style=3D"margin:0px">=C2=A0 =C2=A0std:=
:cerr &lt;&lt; &quot;ERROR\n&quot;;</p><p style=3D"margin:0px">=C2=A0 =C2=
=A0std::cout &lt;&lt; &quot;OUTPUT\n&quot;;</p><p style=3D"margin:0px"><br>=
</p><p style=3D"margin:0px">}</p><p style=3D"margin:0px"><br></p><p style=
=3D"margin:0px">provides the following output:</p><p style=3D"margin:0px"><=
br></p><p style=3D"margin:0px">~ $ ./a.out 2&gt; /dev/null</p><p style=3D"m=
argin:0px">ERROR</p><p style=3D"margin:0px">OUTPUT</p><p style=3D"margin:0p=
x"><br></p><p style=3D"margin:0px">From which it seems that eshell ignores =
stderr and sends everything to stdout</p><p style=3D"margin:0px"><br></p><p=
 style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">If Emacs crashed, and you have the Emacs process in=
 the gdb debugger,</p>
<p style=3D"margin:0px">please include the output from the following gdb co=
mmands:</p>
<p style=3D"margin:0px">    `bt full&#39; and `xbacktrace&#39;.</p>
<p style=3D"margin:0px">For information about debugging Emacs, please read =
the file</p>
<p style=3D"margin:0px">/usr/share/emacs/24.3/etc/DEBUG.</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Vers=
ion 3.10.7)</p>
<p style=3D"margin:0px"> of 2014-03-07 on lamiak, modified by Debian</p>
<p style=3D"margin:0px">Windowing system distributor `The X.Org Foundation&=
#39;, version 11.0.11600000</p>
<p style=3D"margin:0px">System Description:	Ubuntu 14.04.3 LTS</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Configured using:</p>
<p style=3D"margin:0px"> `configure &#39;--build&#39; &#39;x86_64-linux-gnu=
&#39; &#39;--build&#39; &#39;x86_64-linux-gnu&#39;</p>
<p style=3D"margin:0px"> &#39;--prefix=3D/usr&#39; &#39;--sharedstatedir=3D=
/var/lib&#39; &#39;--libexecdir=3D/usr/lib&#39;</p>
<p style=3D"margin:0px"> &#39;--localstatedir=3D/var/lib&#39; &#39;--infodi=
r=3D/usr/share/info&#39;</p>
<p style=3D"margin:0px"> &#39;--mandir=3D/usr/share/man&#39; &#39;--with-po=
p=3Dyes&#39;</p>
<p style=3D"margin:0px"> &#39;--enable-locallisppath=3D/etc/emacs24:/etc/em=
acs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:=
/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp&#39;</p>
<p style=3D"margin:0px"> &#39;--with-crt-dir=3D/usr/lib/x86_64-linux-gnu&#3=
9; &#39;--with-x=3Dyes&#39;</p>
<p style=3D"margin:0px"> &#39;--with-x-toolkit=3Dgtk3&#39; &#39;--with-tool=
kit-scroll-bars&#39;</p>
<p style=3D"margin:0px"> &#39;build_alias=3Dx86_64-linux-gnu&#39; &#39;CFLA=
GS=3D-g -O2 -fstack-protector</p>
<p style=3D"margin:0px"> --param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Df=
ormat-security -Wall&#39;</p>
<p style=3D"margin:0px"> &#39;LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,rel=
ro&#39;</p>
<p style=3D"margin:0px"> &#39;CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2&#39;&#39;</p=
>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Important settings:</p>
<p style=3D"margin:0px">  value of $LC_MONETARY: it_IT.UTF-8</p>
<p style=3D"margin:0px">  value of $LC_NUMERIC: it_IT.UTF-8</p>
<p style=3D"margin:0px">  value of $LC_TIME: it_IT.UTF-8</p>
<p style=3D"margin:0px">  value of $LANG: en_US.UTF-8</p>
<p style=3D"margin:0px">  locale-coding-system: utf-8-unix</p>
<p style=3D"margin:0px">  default enable-multibyte-characters: t</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Major mode: EShell</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Minor modes in effect:</p>
<p style=3D"margin:0px">  shell-dirtrack-mode: t</p>
<p style=3D"margin:0px">  keyfreq-autosave-mode: t</p>
<p style=3D"margin:0px">  keyfreq-mode: t</p>
<p style=3D"margin:0px">  global-undo-tree-mode: t</p>
<p style=3D"margin:0px">  undo-tree-mode: t</p>
<p style=3D"margin:0px">  electric-pair-mode: t</p>
<p style=3D"margin:0px">  ido-everywhere: t</p>
<p style=3D"margin:0px">  show-paren-mode: t</p>
<p style=3D"margin:0px">  yas-global-mode: t</p>
<p style=3D"margin:0px">  yas-minor-mode: t</p>
<p style=3D"margin:0px">  ecb-minor-mode: t</p>
<p style=3D"margin:0px">  TeX-PDF-mode: t</p>
<p style=3D"margin:0px">  TeX-source-correlate-mode: t</p>
<p style=3D"margin:0px">  global-linum-mode: t</p>
<p style=3D"margin:0px">  display-time-mode: t</p>
<p style=3D"margin:0px">  recentf-mode: t</p>
<p style=3D"margin:0px">  winner-mode: t</p>
<p style=3D"margin:0px">  tooltip-mode: t</p>
<p style=3D"margin:0px">  mouse-wheel-mode: t</p>
<p style=3D"margin:0px">  file-name-shadow-mode: t</p>
<p style=3D"margin:0px">  global-font-lock-mode: t</p>
<p style=3D"margin:0px">  font-lock-mode: t</p>
<p style=3D"margin:0px">  blink-cursor-mode: t</p>
<p style=3D"margin:0px">  auto-composition-mode: t</p>
<p style=3D"margin:0px">  auto-encryption-mode: t</p>
<p style=3D"margin:0px">  auto-compression-mode: t</p>
<p style=3D"margin:0px">  temp-buffer-resize-mode: t</p>
<p style=3D"margin:0px">  line-number-mode: t</p>
<p style=3D"margin:0px">  transient-mark-mode: t</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Recent input:</p>
<p style=3D"margin:0px">n d SPC &lt;backspace&gt; &lt;backspace&gt; SPC d a=
 s h &lt;return&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-=
1&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;drag-mouse-1&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt; &lt;down-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;mouse-movement&gt; &lt;drag-mouse-1&gt; &lt;dow=
n-mouse-1&gt; &lt;mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-1&gt; &lt;mouse-1&gt; C-x b &lt;retu=
rn&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;down-mouse=
-1&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;mouse-movement&gt; &lt;drag-mouse-1&gt; &lt;hel=
p-echo&gt; &lt;down-mouse-3&gt; </p>
<p style=3D"margin:0px">&lt;drag-mouse-3&gt; &lt;down-mouse-1&gt; &lt;mouse=
-movement&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;drag-mouse-1&gt; &lt;down-mouse-1&gt; &lt;mouse=
-movement&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;h=
elp-echo&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;drag-mouse-1&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-=
1&gt; &lt;mouse-1&gt; s </p>
<p style=3D"margin:0px">h &lt;return&gt; . / a &lt;tab&gt; &lt;backspace&gt=
; &lt;backspace&gt; &lt;backspace&gt; </p>
<p style=3D"margin:0px">&lt;C-up&gt; &lt;C-up&gt; &lt;C-up&gt; &lt;C-up&gt;=
 &lt;return&gt; C-c C-d b a s </p>
<p style=3D"margin:0px">h &lt;return&gt; &lt;C-up&gt; &lt;C-up&gt; &lt;C-up=
&gt; &lt;C-up&gt; &lt;C-up&gt; &lt;return&gt; </p>
<p style=3D"margin:0px">C-c C-d &lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;=
mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;drag-mouse-1&gt; &lt;f11&gt; &lt;help-echo&gt; =
&lt;help-echo&gt; &lt;down-mouse-4&gt; </p>
<p style=3D"margin:0px">&lt;mouse-4&gt; &lt;double-down-mouse-4&gt; &lt;dou=
ble-mouse-4&gt; &lt;triple-down-mouse-4&gt; </p>
<p style=3D"margin:0px">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; =
&lt;triple-mouse-4&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-dow=
n-mouse-5&gt; &lt;double-mouse-5&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-dow=
n-mouse-5&gt; &lt;double-mouse-5&gt; </p>
<p style=3D"margin:0px">&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; =
&lt;down-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;mouse-1&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt=
; &lt;down-mouse-5&gt; &lt;mouse-5&gt; </p>
<p style=3D"margin:0px">C-c C-c . / a &lt;tab&gt; 2 &gt; SPC / d e b &lt;ba=
ckspace&gt; v / </p>
<p style=3D"margin:0px">n u l l &lt;return&gt; &lt;help-echo&gt; &lt;help-e=
cho&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-1&gt; &lt;mouse-movement&gt; &lt;mou=
se-movement&gt; &lt;drag-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-1&gt; &lt;mouse-movement&gt; &lt;mou=
se-1&gt; &lt;down-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;d=
rag-mouse-1&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-1&=
gt; M-x s h e &lt;tab&gt; </p>
<p style=3D"margin:0px">&lt;return&gt; l &lt;backspace&gt; . / a &lt;tab&gt=
; 2 &gt; SPC / d e &lt;tab&gt; </p>
<p style=3D"margin:0px">q b / &lt;backspace&gt; &lt;backspace&gt; v ( n &lt=
;backspace&gt; &lt;backspace&gt; </p>
<p style=3D"margin:0px">&lt;delete&gt; / n u &lt;tab&gt; &lt;return&gt; &lt=
;help-echo&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-1&=
gt; M-x t e r m &lt;tab&gt; </p>
<p style=3D"margin:0px">&lt;return&gt; &lt;return&gt; . / d e &lt;backspace=
&gt; &lt;backspace&gt; &lt;backspace&gt; </p>
<p style=3D"margin:0px">. &lt;backspace&gt; / a &lt;tab&gt; 2 &gt; SPC / d =
e v / n u &lt;tab&gt; </p>
<p style=3D"margin:0px">&lt;return&gt; &lt;help-echo&gt; &lt;help-echo&gt; =
&lt;down-mouse-1&gt; &lt;mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-=
1&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;mouse-1&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt=
; C-x b &lt;return&gt; &lt;down-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt;=
 &lt;down-mouse-1&gt; &lt;mouse-movement&gt; </p>
<p style=3D"margin:0px">&lt;mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt;=
 M-x e s h &lt;tab&gt; &lt;return&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-1&=
gt; C-x b &lt;right&gt; </p>
<p style=3D"margin:0px">&lt;right&gt; &lt;right&gt; &lt;right&gt; &lt;retur=
n&gt; &lt;help-echo&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t; &lt;down-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;mouse-movement&gt; &lt;mouse-1&gt; C-c C-c l s =
&lt;return&gt; &lt;down-mouse-1&gt; </p>
<p style=3D"margin:0px">&lt;mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt;=
 &lt;help-echo&gt; &lt;help-echo&gt; </p>
<p style=3D"margin:0px">&lt;down-mouse-1&gt; &lt;mouse-1&gt; M-x r e p o &l=
t;tab&gt; &lt;tab&gt; r </p>
<p style=3D"margin:0px">t &lt;tab&gt; &lt;return&gt;</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Recent messages:</p>
<p style=3D"margin:0px">History item: 125</p>
<p style=3D"margin:0px">History item: 128</p>
<p style=3D"margin:0px">History item: 127</p>
<p style=3D"margin:0px">History item: 126</p>
<p style=3D"margin:0px">History item: 125</p>
<p style=3D"margin:0px">History item: 124</p>
<p style=3D"margin:0px">Mark set</p>
<p style=3D"margin:0px">Making completion list...</p>
<p style=3D"margin:0px">You can run the command `eshell&#39; with C-c . e</=
p>
<p style=3D"margin:0px">Making completion list...</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Load-path shadows:</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-info hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-info</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-grep hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-grep</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-net hides /home/nikolas/.emacs=
.d/elpa/helm-20150518.202/helm-net</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-sys hides /home/nikolas/.emacs=
.d/elpa/helm-20150518.202/helm-sys</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-man hides /home/nikolas/.emacs=
.d/elpa/helm-20150518.202/helm-man</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-locate hides /home/nikolas/.em=
acs.d/elpa/helm-20150518.202/helm-locate</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-adaptive hides /home/nikolas/.=
emacs.d/elpa/helm-20150518.202/helm-adaptive</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-eval hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-eval</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-elscreen hides /home/nikolas/.=
emacs.d/elpa/helm-20150518.202/helm-elscreen</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-buffers hides /home/nikolas/.e=
macs.d/elpa/helm-20150518.202/helm-buffers</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-source hides /home/nikolas/.em=
acs.d/elpa/helm-20150518.202/helm-source</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-autoloads hides /home/nikolas/=
.emacs.d/elpa/helm-20150518.202/helm-autoloads</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-files hides /home/nikolas/.ema=
cs.d/elpa/helm-20150518.202/helm-files</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-misc hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-misc</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-regexp hides /home/nikolas/.em=
acs.d/elpa/helm-20150518.202/helm-regexp</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm hides /home/nikolas/.emacs.d/e=
lpa/helm-20150518.202/helm</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-org hides /home/nikolas/.emacs=
.d/elpa/helm-20150518.202/helm-org</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-mode hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-mode</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-eshell hides /home/nikolas/.em=
acs.d/elpa/helm-20150518.202/helm-eshell</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-imenu hides /home/nikolas/.ema=
cs.d/elpa/helm-20150518.202/helm-imenu</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-apt hides /home/nikolas/.emacs=
.d/elpa/helm-20150518.202/helm-apt</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-elisp hides /home/nikolas/.ema=
cs.d/elpa/helm-20150518.202/helm-elisp</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-ring hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-ring</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-config hides /home/nikolas/.em=
acs.d/elpa/helm-20150518.202/helm-config</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-font hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-font</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-command hides /home/nikolas/.e=
macs.d/elpa/helm-20150518.202/helm-command</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-utils hides /home/nikolas/.ema=
cs.d/elpa/helm-20150518.202/helm-utils</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-semantic hides /home/nikolas/.=
emacs.d/elpa/helm-20150518.202/helm-semantic</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-plugin hides /home/nikolas/.em=
acs.d/elpa/helm-20150518.202/helm-plugin</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-match-plugin hides /home/nikol=
as/.emacs.d/elpa/helm-20150518.202/helm-match-plugin</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-elisp-package hides /home/niko=
las/.emacs.d/elpa/helm-20150518.202/helm-elisp-package</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-help hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-help</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-tags hides /home/nikolas/.emac=
s.d/elpa/helm-20150518.202/helm-tags</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-dabbrev hides /home/nikolas/.e=
macs.d/elpa/helm-20150518.202/helm-dabbrev</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-color hides /home/nikolas/.ema=
cs.d/elpa/helm-20150518.202/helm-color</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-pkg hides /home/nikolas/.emacs=
.d/elpa/helm-20150518.202/helm-pkg</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-bookmark hides /home/nikolas/.=
emacs.d/elpa/helm-20150518.202/helm-bookmark</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-aliases hides /home/nikolas/.e=
macs.d/elpa/helm-20150518.202/helm-aliases</p>
<p style=3D"margin:0px">~/.emacs.d/helm/helm-external hides /home/nikolas/.=
emacs.d/elpa/helm-20150518.202/helm-external</p>
<p style=3D"margin:0px">/usr/share/emacs24/site-lisp/cmake-data/cmake-mode =
hides /usr/share/emacs/site-lisp/cmake-mode</p>
<p style=3D"margin:0px">/usr/share/emacs/24.3/site-lisp/debian-startup hide=
s /usr/share/emacs/site-lisp/debian-startup</p>
<p style=3D"margin:0px">/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-wo=
rd hides /usr/share/emacs/24.3/lisp/language/thai-word</p>
<p style=3D"margin:0px">/home/nikolas/.emacs.d/elpa/irony-20150614.1225/.di=
r-locals hides /usr/share/emacs/24.3/lisp/gnus/.dir-locals</p>
<p style=3D"margin:0px">/usr/share/emacs/24.3/lisp/emacs-lisp/cl-lib hides =
/home/nikolas/.emacs.d/elpa/cl-lib-0.5/cl-lib</p>
<p style=3D"margin:0px"><br></p>
<p style=3D"margin:0px">Features:</p>
<p style=3D"margin:0px">(shadow sort mail-extr emacsbug message rfc822 mml =
mml-sec mm-decode</p>
<p style=3D"margin:0px">mm-bodies mm-encode mail-parse rfc2231 mailabbrev g=
mm-utils mailheader</p>
<p style=3D"margin:0px">sendmail rfc2047 rfc2045 ietf-drums mail-utils tabi=
fy man tramp-cache</p>
<p style=3D"margin:0px">tramp tramp-compat tramp-loaddefs shell format-spec=
 pcmpl-unix find-file</p>
<p style=3D"margin:0px">lisp-mnt em-unix pcomplete em-term term disp-table =
ehelp em-script</p>
<p style=3D"margin:0px">em-prompt em-ls em-hist em-pred em-glob em-dirs em-=
cmpl em-basic</p>
<p style=3D"margin:0px">em-banner em-alias esh-var esh-io esh-cmd esh-opt e=
sh-ext esh-proc</p>
<p style=3D"margin:0px">esh-arg eldoc esh-groups eshell esh-module esh-mode=
 esh-util misearch</p>
<p style=3D"margin:0px">multi-isearch ffap url-parse auth-source gnus-util =
mm-util mail-prsvr</p>
<p style=3D"margin:0px">password-cache url-vars windmove imenu cus-edit cus=
-start cus-load</p>
<p style=3D"margin:0px">irony-cdb-json pp json irony-cdb-clang-complete iro=
ny-cdb company-files</p>
<p style=3D"margin:0px">company-oddmuse company-keywords company-etags etag=
s company-gtags</p>
<p style=3D"margin:0px">company-dabbrev-code company-dabbrev company-capf c=
ompany-cmake</p>
<p style=3D"margin:0px">company-xcode company-clang company-semantic compan=
y-eclim</p>
<p style=3D"margin:0px">company-template company-css company-nxml company-b=
bdb company-elisp</p>
<p style=3D"margin:0px">company-irony irony-completion irony-snippet irony =
find-func company</p>
<p style=3D"margin:0px">cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds=
 cc-styles cc-align</p>
<p style=3D"margin:0px">cc-engine cc-vars cc-defs ecb-layout-defs cyberpunk=
-theme keyfreq</p>
<p style=3D"margin:0px">undo-tree diff electric ido paren popup-complete ya=
snippet help-mode ecb</p>
<p style=3D"margin:0px">warnings ecb-symboldef ecb-analyse ecb-compatibilit=
y ecb-winman-support</p>
<p style=3D"margin:0px">ecb-autogen autoload ecb-tod ecb-cycle ecb-eshell e=
cb-help ecb-jde</p>
<p style=3D"margin:0px">ecb-method-browser hideshow ecb-semantic-wrapper ec=
b-semantic</p>
<p style=3D"margin:0px">ecb-file-browser ecb-speedbar ecb-layout compile co=
mint ansi-color</p>
<p style=3D"margin:0px">ecb-create-layout ecb-compilation ecb-common-browse=
r speedbar sb-image</p>
<p style=3D"margin:0px">dframe ecb-navigate ecb-mode-line ecb-face tree-buf=
fer ecb-upgrade</p>
<p style=3D"margin:0px">ecb-cedet-wrapper semantic/db-mode semantic/db-find=
 semantic/db-ref</p>
<p style=3D"margin:0px">semantic/analyze semantic/sort semantic/scope seman=
tic/analyze/fcn</p>
<p style=3D"margin:0px">semantic/db eieio-base semantic/format ezimage sema=
ntic/tag-ls</p>
<p style=3D"margin:0px">semantic/find semantic/ctxt semantic/util-modes sem=
antic/util semantic</p>
<p style=3D"margin:0px">semantic/tag semantic/lex semantic/fw eieio byte-op=
t bytecomp</p>
<p style=3D"margin:0px">byte-compile cconv mode-local cedet ecb-util thinga=
tpt cl-macs gv</p>
<p style=3D"margin:0px">silentcomp latex easy-mmode tex-style tex dbus xml =
crm server face-remap</p>
<p style=3D"margin:0px">memory-usage darkroom helm-config async-bytecomp as=
ync helm-aliases</p>
<p style=3D"margin:0px">uniquify advice help-fns cl cl-lib advice-preload l=
inum</p>
<p style=3D"margin:0px">ac-helm-autoloads tex-site auto-complete-autoloads =
chess-autoloads info</p>
<p style=3D"margin:0px">company-c-headers-autoloads company-irony-autoloads=
 company-autoloads</p>
<p style=3D"margin:0px">ctags-autoloads ctags-update-autoloads cuda-mode-au=
toloads</p>
<p style=3D"margin:0px">darkroom-autoloads helm-autoloads async-autoloads i=
rony-autoloads</p>
<p style=3D"margin:0px">finder-inf keyfreq-autoloads memory-usage-autoloads=
 minimap-autoloads</p>
<p style=3D"margin:0px">popup-autoloads cl-lib-autoloads spacemacs-theme-au=
toloads</p>
<p style=3D"margin:0px">undo-tree-autoloads w3-autoloads yasnippet-autoload=
s package</p>
<p style=3D"margin:0px">tango-dark-theme time recentf tree-widget wid-edit =
easymenu winner ring</p>
<p style=3D"margin:0px">edmacro kmacro time-date tooltip ediff-hook vc-hook=
s lisp-float-type</p>
<p style=3D"margin:0px">mwheel x-win x-dnd tool-bar dnd fontset image regex=
p-opt fringe</p>
<p style=3D"margin:0px">tabulated-list newcomment lisp-mode register page m=
enu-bar rfn-eshadow</p>
<p style=3D"margin:0px">timer select scroll-bar mouse jit-lock font-lock sy=
ntax facemenu</p>
<p style=3D"margin:0px">font-core frame cham georgian utf-8-lang misc-lang =
vietnamese tibetan</p>
<p style=3D"margin:0px">thai tai-viet lao korean japanese hebrew greek roma=
nian slovak czech</p>
<p style=3D"margin:0px">european ethiopic indian cyrillic chinese case-tabl=
e epa-hook</p>
<p style=3D"margin:0px">jka-cmpr-hook help simple abbrev minibuffer loaddef=
s button faces</p>
<p style=3D"margin:0px">cus-face macroexp files text-properties overlay sha=
1 md5 base64 format</p>
<p style=3D"margin:0px">env code-pages mule custom widget hashtable-print-r=
eadable backquote</p>
<p style=3D"margin:0px">make-network-process dbusbind dynamic-setting syste=
m-font-setting</p>
<p style=3D"margin:0px">font-render-setting move-toolbar gtk x-toolkit x mu=
lti-tty emacs)</p>
<p style=3D"margin:0px"><br></p></div>

--001a11c2660a9157b705211e3d6e--




Acknowledgement sent to Nikolas De Giorgis <bznein@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21605; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 May 2022 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.